org.apache.ignite.internal.processors.cache.warmup

## Class WarmUpMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.warmup.WarmUpMXBeanImpl

All Implemented Interfaces:
  WarmUpMXBean

    public class WarmUpMXBeanImpl
    extends Object
    implements WarmUpMXBean

`WarmUpMXBean` implementation.

### Constructor Summary

Constructors
Constructor and Description
`WarmUpMXBeanImpl(GridCacheProcessor cacheProc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `stopWarmUp()` Stop warm-up.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WarmUpMXBeanImpl

    public WarmUpMXBeanImpl(GridCacheProcessor cacheProc)

Constructor.

Parameters:
  `cacheProc` - Cache processor.

### Method Detail

#### stopWarmUp

    public void stopWarmUp()

Stop warm-up.

Specified by:
  `stopWarmUp` in interface `WarmUpMXBean`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021